Bug 1924317 - F34FailsToInstall: python3-pykmip
Summary: F34FailsToInstall: python3-pykmip
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pykmip
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Joel Capitao
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F35FailsToInstall F34BetaFreezeException F34FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2021-02-02 21:56 UTC by Miro Hrončok
Modified: 2021-03-12 01:35 UTC (History)
6 users (show)

Fixed In Version: python-pykmip-0.8.0-9.fc35 python-pykmip-0.8.0-9.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-12 01:35:59 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2021-02-02 21:56:20 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok@redhat.com).

Your package (python-pykmip) Fails To Install in Fedora 34:

can't install python3-pykmip:
  - nothing provides python3.9dist(enum34) needed by python3-pykmip-0.8.0-8.fc34.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/rawhide-gating/multi-builds/

Thanks!

Comment 1 Ben Cotton 2021-02-09 16:03:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 2 Miro Hrončok 2021-02-10 15:50:42 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 3 Miro Hrončok 2021-03-05 17:25:02 UTC
Hello,

This is the second reminder (step 4 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 4 Alan Pevec (Fedora) 2021-03-06 08:19:07 UTC
Joel can you have a look:
python3.9dist(enum34) needed by python3-pykmip-0.8.0-8.fc34.noarch
should not be in Fedora builds, that's for python2 only?

Comment 5 Alan Pevec (Fedora) 2021-03-06 08:24:39 UTC
Ah I see, we need to drop  "enum-compat" from install_requires
https://github.com/OpenKMIP/PyKMIP/blob/master/setup.py#L53

Comment 6 Alan Pevec (Fedora) 2021-03-06 08:41:10 UTC
In Fedora we're at older 0.8.0 which has enum34 directly, with this patch:
--- PyKMIP-0.8.0/setup.py.orig	2017-12-08 18:36:18.000000000 +0100
+++ PyKMIP-0.8.0/setup.py	2021-03-06 09:29:23.492782922 +0100
@@ -43,7 +43,7 @@
     },
     install_requires=[
         "cryptography",
-        "enum34",
+        "enum34; python_version < '3.4'",
         "six",
         "sqlalchemy"
     ],

deps generated in python3-pykmip are:
python3.9dist(cryptography)
python3.9dist(setuptools)
python3.9dist(six)
python3.9dist(sqlalchemy)


While at it, we could also drop explicit Requires: in the .spec ?

Comment 7 Alan Pevec (Fedora) 2021-03-06 08:51:15 UTC
Upstream has enum-compat which will also not work with autodeps https://github.com/OpenKMIP/PyKMIP/pull/579/files#r588855111
Patch for upstream would be

-        "enum-compat",
+        "enum34; python_version < '3.4'",

not sure if it would be accepted since it requires newer setuptools?

Comment 8 Miro Hrončok 2021-03-06 09:09:08 UTC
> not sure if it would be accepted since it requires newer setuptools?

Yes, at least 18.5 from Nov 2015.

Comment 10 Fedora Update System 2021-03-08 09:11:58 UTC
FEDORA-2021-5ba46b1a4c has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Alfredo Moralejo 2021-03-08 09:21:53 UTC
PR merged and backported to f34 and python-pykmip-0.8.0-9 has been built for both master and f34

https://koji.fedoraproject.org/koji/buildinfo?buildID=1720474

Comment 12 Fedora Update System 2021-03-08 09:37:22 UTC
FEDORA-2021-ea812af2a9 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-ea812af2a9

Comment 13 Fedora Update System 2021-03-08 16:00:02 UTC
FEDORA-2021-ea812af2a9 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-ea812af2a9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-ea812af2a9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Geoffrey Marr 2021-03-08 19:51:03 UTC
Discussed during the 2021-03-08 blocker review meeting: [0]

The decision to classify this bug as an "AcceptedFreezeException (Beta)" was made as we agree that an FE is generally merited if a package fails to install due to the impact on people upgrading from previous stable releases, likely without updates-testing enabled. However, fixes will only be pushed if they involve minimal change and don't seem likely to endanger compose of release-blocking images.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2021-03-08/f34-blocker-review.2021-03-08-17.00.txt

Comment 15 Fedora Update System 2021-03-12 01:35:59 UTC
FEDORA-2021-ea812af2a9 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.